Bug 861582 - iftop terminates with SIGABRT
iftop terminates with SIGABRT
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: iftop (Show other bugs)
18
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-29 05:52 EDT by redhat
Modified: 2014-06-18 11:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: iftop-1.0-0.6.pre2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-20 21:08:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description redhat 2012-09-29 05:52:09 EDT
Description of problem:
iftop terminates with SIGABRT after running for some hours.


Version-Release number of selected component (if applicable):
iftop-1.0-0.2.pre2.fc17

How reproducible:
Every time. After some hours running it will terminate with:


Program received signal SIGABRT, Aborted.
[Switching to Thread 0xb65f7b40 (LWP 28029)]
0xb7fde424 in __kernel_vsyscall ()
(gdb) bt
#0  0xb7fde424 in __kernel_vsyscall ()
#1  0xb7d7593f in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#2  0xb7d77293 in __GI_abort () at abort.c:91
#3  0x0804fe76 in xcalloc (n=n@entry=1, m=m@entry=188) at util.c:36
#4  0x0804a768 in history_create () at iftop.c:102
#5  0x0804b085 in handle_ip_packet (iptr=0xb675ad74, hw_dir=<optimized out>) at iftop.c:399
#6  0xb7f9ca8f in pcap_read_linux_mmap (handle=0x8058598, max_packets=-1,
    callback=0x804b440 <handle_eth_packet>, user=0x0) at ./pcap-linux.c:4041
#7  0xb7fa0fb1 in pcap_loop (p=0x8058598, cnt=<optimized out>, cnt@entry=-1,
    callback=0x804b440 <handle_eth_packet>, user=user@entry=0x0) at ./pcap.c:527
#8  0x0804a70a in packet_loop (ptr=0x0) at iftop.c:758
#9  0xb7effadf in start_thread (arg=0xb65f7b40) at pthread_create.c:309
#10 0xb7e3b3ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133


I run iftop with: iftop -bni eth0
So it runs without DNS resoltion (

Steps to Reproduce:
1. iftop -bni eth0
2.
3.
  
Actual results:


Expected results:


Additional info:

Might be a duplicate of #847124
Comment 1 redhat 2013-05-24 03:17:43 EDT
iftop is unusable. It has a memory leak and gets killed by the kernel when it reached the ulimit. This takes less than a day!

The upstream report is 9 months old. Any progress on that?
Comment 2 Fedora End Of Life 2013-07-03 22:54:36 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 05:42:40 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Robert Scheck 2013-11-16 14:03:25 EST
As it seems that there are two similar issues in iftop, I still would like to 
track it down. Can you please try one of these scratch builds please and give
me some feedback?

 - F21: http://koji.fedoraproject.org/koji/taskinfo?taskID=6187796
 - F20: http://koji.fedoraproject.org/koji/taskinfo?taskID=6188542
 - F19: http://koji.fedoraproject.org/koji/taskinfo?taskID=6188556
 - F18: http://koji.fedoraproject.org/koji/taskinfo?taskID=6188569
 - EL6: http://koji.fedoraproject.org/koji/taskinfo?taskID=6188587
 - EL5: http://koji.fedoraproject.org/koji/taskinfo?taskID=6188595
Comment 5 Fedora Update System 2013-12-19 14:15:00 EST
iftop-1.0-0.6.pre2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/iftop-1.0-0.6.pre2.fc20
Comment 6 Fedora Update System 2013-12-19 14:16:10 EST
iftop-1.0-0.6.pre2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/iftop-1.0-0.6.pre2.fc19
Comment 7 Fedora Update System 2013-12-19 14:17:18 EST
iftop-1.0-0.6.pre2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/iftop-1.0-0.6.pre2.fc18
Comment 8 Fedora Update System 2013-12-19 14:18:31 EST
iftop-1.0-0.6.pre2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/iftop-1.0-0.6.pre2.el6
Comment 9 Fedora Update System 2013-12-19 14:20:22 EST
iftop-1.0-0.6.pre2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/iftop-1.0-0.6.pre2.el5
Comment 10 Fedora Update System 2013-12-20 11:51:39 EST
Package iftop-1.0-0.6.pre2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing iftop-1.0-0.6.pre2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-12431/iftop-1.0-0.6.pre2.el6
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-12-20 21:08:14 EST
iftop-1.0-0.6.pre2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora End Of Life 2013-12-21 10:41:37 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora Update System 2013-12-21 13:50:17 EST
iftop-1.0-0.6.pre2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-12-22 22:50:17 EST
iftop-1.0-0.6.pre2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-12-28 18:42:00 EST
iftop-1.0-0.6.pre2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2014-01-03 17:43:06 EST
iftop-1.0-0.6.pre2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 redhat 2014-06-18 11:36:25 EDT
Works for me.

Note You need to log in before you can comment on or make changes to this bug.